package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 附件类型 (示例样表.示例样表，空白表格.空白表格)枚举类
*
* @author zxfei
*/
public enum FiletypeEnum {
    示例样表("示例样表", "示例样表"),
    空白表格("空白表格", "空白表格");
    private String value;
    private String desc;

    FiletypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FiletypeEnum getByValue(String value) {
        for (FiletypeEnum filetypeEnum : FiletypeEnum.values()) {
            if (filetypeEnum.getValue() == value) {
                return filetypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FiletypeEnum item : FiletypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}